#include <gint/display.h>
#include <gint/keyboard.h>

static void draw_menu(int selected)
{
	extern bopti_image_t img_title;
	extern bopti_image_t img_levels;

	dclear(C_WHITE);
	dimage(0, 2, &img_title);

	for(int i = 1; i <= 8; i++)
	{
		int x = 20 + 11*(i-1);
		int y = 36;

		if(i != 8)
		{
			dsubimage(x, y, &img_levels, 0,0,10,10, DIMAGE_NONE);
			dprint(x+3, y+2, C_BLACK, "%d", i);
		}
		else
		{
			dsubimage(x, y, &img_levels, 11,0,10,10, DIMAGE_NONE);
		}

		if(i == selected)
		{
			drect(x+1, y+1, x+8, y+8, C_INVERT);
		}
	}
}

int main(void)
{
	extern font_t font_mystere;
	dfont(&font_mystere);

	int selected = 1;
	int key = 0;

	while(key != KEY_EXE)
	{
		draw_menu(selected);
		dupdate();

		key = getkey().key;

		if(key == KEY_LEFT && selected > 1)
			selected--;
		if(key == KEY_RIGHT && selected < 8)
			selected++;
	}

	return 1;
}
